List of all members
cgicc::HTTPRedirectHeader Class Reference

Class for redirecting the client to a different URI. More...

`#include <cgicc/HTTPRedirectHeader.h>`

Inheritance diagram for cgicc::HTTPRedirectHeader:

## Public Member Functions
Constructor and Destructor
| HTTPRedirectHeader (const std::string &url)
| Create a new redirection header. More...
| HTTPRedirectHeader (const std::string &url, bool permanent)
| Create a new redirection header with redirect status. More...
virtual | ~HTTPRedirectHeader ()
| Destructor.
Public Member Functions inherited from cgicc::HTTPHeader
| HTTPHeader (const std::string &data)
| Constructor. More...
| HTTPHeader (const HTTPHeader &header)
| Copy constructor. More...
virtual | ~HTTPHeader ()
| Destructor.
HTTPHeader & | setCookie (const HTTPCookie &cookie)
| Set a cookie to go out with this HTTPResponseHeader. More...
const std::vector< HTTPCookie > & | getCookies () const
| Get a list of all cookies associated with this header. More...
std::string | getData () const
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Inherited Methods
virtual void | render (std::ostream &out) const
| Write this HTTPHeader to a stream. More...

## Detailed Description

Class for redirecting the client to a different URI.

Definition at line 50 of file HTTPRedirectHeader.h.

## Constructor & Destructor Documentation

## ◆ HTTPRedirectHeader() [1/2]

cgicc::HTTPRedirectHeader::HTTPRedirectHeader | ( | const std::string & | url | ) |

Create a new redirection header.

Parameters

  url | The redirection URL.

## ◆ HTTPRedirectHeader() [2/2]

cgicc::HTTPRedirectHeader::HTTPRedirectHeader | ( | const std::string & | url,
|  | bool | permanent
| ) |  |

Create a new redirection header with redirect status.

Parameters

  url | The redirection URL.
  permanent | The status permanent or temporary

## Member Function Documentation

## ◆ render()

virtual void cgicc::HTTPRedirectHeader::render | ( | std::ostream & | out | ) | const
| virtual

Write this HTTPHeader to a stream.

Subclasses must implement this function.

Parameters

  out | The ostream to which to write.

Implements cgicc::HTTPHeader.

The documentation for this class was generated from the following file:

- HTTPRedirectHeader.h